{
	"type": "minecraft:fishing",
	"pools": [
		{
			"rolls": 1,
			"entries": [
				{
					"type": "item",
					"name": "minecraft:written_book",
					"weight": 100,
					"functions": [
						{
							"function": "set_nbt",
							"tag": "{kyutrinket:1b,kyumushyhouse:1b,title:\"Mushy\",author:\"Mushy Musherson\",pages:[\"{\\\"text\\\":\\\"Portable Mushroom\\\",\\\"color\\\":\\\"red\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"run_command\\\",\\\"value\\\":\\\"/trigger KyuMushy set 1\\\"},\\\"extra\\\":[{\\\"text\\\":\\\"\\\\n-------------------\\\",\\\"color\\\":\\\"gray\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"run_command\\\",\\\"value\\\":\\\"/trigger KyuMushy set 1\\\"}},{\\\"text\\\":\\\"\\\\nClick to summon a\\\\ncute mushroom sprout, which quickly grows into an entire mushroom house! Once used, the book will disappear into the chest inside of the mushroom house, and once taken out, the house will vanish.\\\",\\\"color\\\":\\\"black\\\",\\\"clickEvent\\\":{\\\"action\\\":\\\"run_command\\\",\\\"value\\\":\\\"/trigger KyuMushy set 1\\\"}}]}\"],HideFlags:1,Enchantments:[{id:\"minecraft:unbreaking\",lvl:10}],display:{Name:\"{\\\"text\\\":\\\"Portable Mushroom House\\\",\\\"color\\\":\\\"#EAB2B2\\\"}\",Lore:['{\"text\":\"\"Mushy!\"\",\"color\":\"#F4BEBE\"}']}}"
						}
					]
				}
			]
		}
	]
}
